<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: DSPI DMA Driver</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__dspi__dma__driver.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">DSPI DMA Driver<div class="ingroups"><a class="el" href="group__dspi.html">DSPI: Serial Peripheral Interface Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>This section describes the programming interface of the DSPI Peripheral driver. The DSPI driver configures DSPI module and provides the functional and transactional interfaces to build the DSPI application. </p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:struct__dspi__master__dma__handle"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#struct__dspi__master__dma__handle">dspi_master_dma_handle_t</a></td></tr>
<tr class="memdesc:struct__dspi__master__dma__handle"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI master DMA transfer handle structure used for transactional API.  <a href="group__dspi__dma__driver.html#struct__dspi__master__dma__handle">More...</a><br/></td></tr>
<tr class="separator:struct__dspi__master__dma__handle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:struct__dspi__slave__dma__handle"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#struct__dspi__slave__dma__handle">dspi_slave_dma_handle_t</a></td></tr>
<tr class="memdesc:struct__dspi__slave__dma__handle"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI slave DMA transfer handle structure used for transactional API.  <a href="group__dspi__dma__driver.html#struct__dspi__slave__dma__handle">More...</a><br/></td></tr>
<tr class="separator:struct__dspi__slave__dma__handle"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga3b540ad1f437a0bfa63cc37d574bda97"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga3b540ad1f437a0bfa63cc37d574bda97">dspi_master_dma_transfer_callback_t</a> )(SPI_Type *base, dspi_master_dma_handle_t *handle, status_t status, void *userData)</td></tr>
<tr class="memdesc:ga3b540ad1f437a0bfa63cc37d574bda97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback function pointer type.  <a href="#ga3b540ad1f437a0bfa63cc37d574bda97">More...</a><br/></td></tr>
<tr class="separator:ga3b540ad1f437a0bfa63cc37d574bda97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8db8b14faf884f8c789ee7b04153630c"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga8db8b14faf884f8c789ee7b04153630c">dspi_slave_dma_transfer_callback_t</a> )(SPI_Type *base, dspi_slave_dma_handle_t *handle, status_t status, void *userData)</td></tr>
<tr class="memdesc:ga8db8b14faf884f8c789ee7b04153630c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback function pointer type.  <a href="#ga8db8b14faf884f8c789ee7b04153630c">More...</a><br/></td></tr>
<tr class="separator:ga8db8b14faf884f8c789ee7b04153630c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3187e7ce20f68755e17f92e28d614ba1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga3187e7ce20f68755e17f92e28d614ba1">DSPI_MasterTransferCreateHandleDMA</a> (SPI_Type *base, dspi_master_dma_handle_t *handle, <a class="el" href="group__dspi__dma__driver.html#ga3b540ad1f437a0bfa63cc37d574bda97">dspi_master_dma_transfer_callback_t</a> callback, void *userData, dma_handle_t *dmaRxRegToRxDataHandle, dma_handle_t *dmaTxDataToIntermediaryHandle, dma_handle_t *dmaIntermediaryToTxRegHandle)</td></tr>
<tr class="memdesc:ga3187e7ce20f68755e17f92e28d614ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the DSPI master DMA handle.  <a href="#ga3187e7ce20f68755e17f92e28d614ba1">More...</a><br/></td></tr>
<tr class="separator:ga3187e7ce20f68755e17f92e28d614ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5055018e5cedf1803c294de8780b4306"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga5055018e5cedf1803c294de8780b4306">DSPI_MasterTransferDMA</a> (SPI_Type *base, dspi_master_dma_handle_t *handle, <a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *transfer)</td></tr>
<tr class="memdesc:ga5055018e5cedf1803c294de8780b4306"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI master transfers data using DMA.  <a href="#ga5055018e5cedf1803c294de8780b4306">More...</a><br/></td></tr>
<tr class="separator:ga5055018e5cedf1803c294de8780b4306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1446115acb6912b36782385e7d9057b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#gad1446115acb6912b36782385e7d9057b">DSPI_MasterTransferAbortDMA</a> (SPI_Type *base, dspi_master_dma_handle_t *handle)</td></tr>
<tr class="memdesc:gad1446115acb6912b36782385e7d9057b"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI master aborts a transfer which is using DMA.  <a href="#gad1446115acb6912b36782385e7d9057b">More...</a><br/></td></tr>
<tr class="separator:gad1446115acb6912b36782385e7d9057b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a15c16862a20309ec3abfd980df7de3"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga6a15c16862a20309ec3abfd980df7de3">DSPI_MasterTransferGetCountDMA</a> (SPI_Type *base, dspi_master_dma_handle_t *handle, size_t *count)</td></tr>
<tr class="memdesc:ga6a15c16862a20309ec3abfd980df7de3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the master DMA transfer remaining bytes.  <a href="#ga6a15c16862a20309ec3abfd980df7de3">More...</a><br/></td></tr>
<tr class="separator:ga6a15c16862a20309ec3abfd980df7de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga722124db11ba03f608f025c66e7da024"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga722124db11ba03f608f025c66e7da024">DSPI_SlaveTransferCreateHandleDMA</a> (SPI_Type *base, dspi_slave_dma_handle_t *handle, <a class="el" href="group__dspi__dma__driver.html#ga8db8b14faf884f8c789ee7b04153630c">dspi_slave_dma_transfer_callback_t</a> callback, void *userData, dma_handle_t *dmaRxRegToRxDataHandle, dma_handle_t *dmaTxDataToTxRegHandle)</td></tr>
<tr class="memdesc:ga722124db11ba03f608f025c66e7da024"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the DSPI slave DMA handle.  <a href="#ga722124db11ba03f608f025c66e7da024">More...</a><br/></td></tr>
<tr class="separator:ga722124db11ba03f608f025c66e7da024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga151538ae157287d0d87fde215c1c069c"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga151538ae157287d0d87fde215c1c069c">DSPI_SlaveTransferDMA</a> (SPI_Type *base, dspi_slave_dma_handle_t *handle, <a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *transfer)</td></tr>
<tr class="memdesc:ga151538ae157287d0d87fde215c1c069c"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI slave transfers data using DMA.  <a href="#ga151538ae157287d0d87fde215c1c069c">More...</a><br/></td></tr>
<tr class="separator:ga151538ae157287d0d87fde215c1c069c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga74e93531592f813193de476da8f38ee7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga74e93531592f813193de476da8f38ee7">DSPI_SlaveTransferAbortDMA</a> (SPI_Type *base, dspi_slave_dma_handle_t *handle)</td></tr>
<tr class="memdesc:ga74e93531592f813193de476da8f38ee7"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI slave aborts a transfer which is using DMA.  <a href="#ga74e93531592f813193de476da8f38ee7">More...</a><br/></td></tr>
<tr class="separator:ga74e93531592f813193de476da8f38ee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89314762a1346caa314f651b239e321d"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ga89314762a1346caa314f651b239e321d">DSPI_SlaveTransferGetCountDMA</a> (SPI_Type *base, dspi_slave_dma_handle_t *handle, size_t *count)</td></tr>
<tr class="memdesc:ga89314762a1346caa314f651b239e321d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the slave DMA transfer remaining bytes.  <a href="#ga89314762a1346caa314f651b239e321d">More...</a><br/></td></tr>
<tr class="separator:ga89314762a1346caa314f651b239e321d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="struct__dspi__master__dma__handle" id="struct__dspi__master__dma__handle"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct _dspi_master_dma_handle</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>Forward declaration of the DSPI DMA master handle typedefs.</p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:aa42e45029e3f6c2ae9d630f708bd95b6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#aa42e45029e3f6c2ae9d630f708bd95b6">bitsPerFrame</a></td></tr>
<tr class="memdesc:aa42e45029e3f6c2ae9d630f708bd95b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired number of bits per frame.  <a href="#aa42e45029e3f6c2ae9d630f708bd95b6">More...</a><br/></td></tr>
<tr class="separator:aa42e45029e3f6c2ae9d630f708bd95b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99362405995258e9c62b1fbe12ae289b"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a99362405995258e9c62b1fbe12ae289b">command</a></td></tr>
<tr class="memdesc:a99362405995258e9c62b1fbe12ae289b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired data command.  <a href="#a99362405995258e9c62b1fbe12ae289b">More...</a><br/></td></tr>
<tr class="separator:a99362405995258e9c62b1fbe12ae289b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8432d0950c952added32554a881b387c"><td class="memItemLeft" align="right" valign="top">volatile uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a8432d0950c952added32554a881b387c">lastCommand</a></td></tr>
<tr class="memdesc:a8432d0950c952added32554a881b387c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired last data command.  <a href="#a8432d0950c952added32554a881b387c">More...</a><br/></td></tr>
<tr class="separator:a8432d0950c952added32554a881b387c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ad4c9aa940f1c03367c2532357d0cf"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a00ad4c9aa940f1c03367c2532357d0cf">fifoSize</a></td></tr>
<tr class="memdesc:a00ad4c9aa940f1c03367c2532357d0cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">FIFO dataSize.  <a href="#a00ad4c9aa940f1c03367c2532357d0cf">More...</a><br/></td></tr>
<tr class="separator:a00ad4c9aa940f1c03367c2532357d0cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8337d4647ffaf6ce288819538facf33c"><td class="memItemLeft" align="right" valign="top">volatile bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a8337d4647ffaf6ce288819538facf33c">isPcsActiveAfterTransfer</a></td></tr>
<tr class="memdesc:a8337d4647ffaf6ce288819538facf33c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether the PCS signal keeps active after the last frame transfer.  <a href="#a8337d4647ffaf6ce288819538facf33c">More...</a><br/></td></tr>
<tr class="separator:a8337d4647ffaf6ce288819538facf33c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26cd470baf046f953e7726b7618f4f90"><td class="memItemLeft" align="right" valign="top">volatile bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a26cd470baf046f953e7726b7618f4f90">isThereExtraByte</a></td></tr>
<tr class="memdesc:a26cd470baf046f953e7726b7618f4f90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether there is an extra byte.  <a href="#a26cd470baf046f953e7726b7618f4f90">More...</a><br/></td></tr>
<tr class="separator:a26cd470baf046f953e7726b7618f4f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a125053695f06022166330add4b8dcbac"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a125053695f06022166330add4b8dcbac">txData</a></td></tr>
<tr class="memdesc:a125053695f06022166330add4b8dcbac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send buffer.  <a href="#a125053695f06022166330add4b8dcbac">More...</a><br/></td></tr>
<tr class="separator:a125053695f06022166330add4b8dcbac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33cc537dc0837968f40fba159db99f59"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a33cc537dc0837968f40fba159db99f59">rxData</a></td></tr>
<tr class="memdesc:a33cc537dc0837968f40fba159db99f59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive buffer.  <a href="#a33cc537dc0837968f40fba159db99f59">More...</a><br/></td></tr>
<tr class="separator:a33cc537dc0837968f40fba159db99f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af369e487c2fa339dad2395dcb13ad24e"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#af369e487c2fa339dad2395dcb13ad24e">remainingSendByteCount</a></td></tr>
<tr class="memdesc:af369e487c2fa339dad2395dcb13ad24e"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to send.  <a href="#af369e487c2fa339dad2395dcb13ad24e">More...</a><br/></td></tr>
<tr class="separator:af369e487c2fa339dad2395dcb13ad24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12996c582612fa3aa5b12e6fca89d732"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a12996c582612fa3aa5b12e6fca89d732">remainingReceiveByteCount</a></td></tr>
<tr class="memdesc:a12996c582612fa3aa5b12e6fca89d732"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to receive.  <a href="#a12996c582612fa3aa5b12e6fca89d732">More...</a><br/></td></tr>
<tr class="separator:a12996c582612fa3aa5b12e6fca89d732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a798acca1110770f693312ad70294b32b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a798acca1110770f693312ad70294b32b"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a798acca1110770f693312ad70294b32b">totalByteCount</a></td></tr>
<tr class="memdesc:a798acca1110770f693312ad70294b32b"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of transfer bytes. <br/></td></tr>
<tr class="separator:a798acca1110770f693312ad70294b32b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1fd8563c184843154f2cd844c63a8c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#adc1fd8563c184843154f2cd844c63a8c">rxBuffIfNull</a></td></tr>
<tr class="memdesc:adc1fd8563c184843154f2cd844c63a8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not rxData for DMA purpose.  <a href="#adc1fd8563c184843154f2cd844c63a8c">More...</a><br/></td></tr>
<tr class="separator:adc1fd8563c184843154f2cd844c63a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bdcd5cb8b1c0cdbe5e0208f5d0d796a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a5bdcd5cb8b1c0cdbe5e0208f5d0d796a">txBuffIfNull</a></td></tr>
<tr class="memdesc:a5bdcd5cb8b1c0cdbe5e0208f5d0d796a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not txData for DMA purpose.  <a href="#a5bdcd5cb8b1c0cdbe5e0208f5d0d796a">More...</a><br/></td></tr>
<tr class="separator:a5bdcd5cb8b1c0cdbe5e0208f5d0d796a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6882a67d6e566f9288b186607c0a30d1"><td class="memItemLeft" align="right" valign="top">volatile uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a6882a67d6e566f9288b186607c0a30d1">state</a></td></tr>
<tr class="memdesc:a6882a67d6e566f9288b186607c0a30d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI transfer state, see _dspi_transfer_state.  <a href="#a6882a67d6e566f9288b186607c0a30d1">More...</a><br/></td></tr>
<tr class="separator:a6882a67d6e566f9288b186607c0a30d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe559d911f22a02dd981334212753b9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__dspi__dma__driver.html#ga3b540ad1f437a0bfa63cc37d574bda97">dspi_master_dma_transfer_callback_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#aafe559d911f22a02dd981334212753b9">callback</a></td></tr>
<tr class="memdesc:aafe559d911f22a02dd981334212753b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback.  <a href="#aafe559d911f22a02dd981334212753b9">More...</a><br/></td></tr>
<tr class="separator:aafe559d911f22a02dd981334212753b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acba550ea61ae714ca4f60fb7e995c6f1"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#acba550ea61ae714ca4f60fb7e995c6f1">userData</a></td></tr>
<tr class="memdesc:acba550ea61ae714ca4f60fb7e995c6f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback user data.  <a href="#acba550ea61ae714ca4f60fb7e995c6f1">More...</a><br/></td></tr>
<tr class="separator:acba550ea61ae714ca4f60fb7e995c6f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7abef921aec2f05397ecd44cf09590ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7abef921aec2f05397ecd44cf09590ca"></a>
dma_handle_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a7abef921aec2f05397ecd44cf09590ca">dmaRxRegToRxDataHandle</a></td></tr>
<tr class="memdesc:a7abef921aec2f05397ecd44cf09590ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">dma_handle_t handle point used for RxReg to RxData buff <br/></td></tr>
<tr class="separator:a7abef921aec2f05397ecd44cf09590ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae00976d778a6a02ff5f17b2ca7aad99c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae00976d778a6a02ff5f17b2ca7aad99c"></a>
dma_handle_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ae00976d778a6a02ff5f17b2ca7aad99c">dmaTxDataToIntermediaryHandle</a></td></tr>
<tr class="memdesc:ae00976d778a6a02ff5f17b2ca7aad99c"><td class="mdescLeft">&#160;</td><td class="mdescRight">dma_handle_t handle point used for TxData to Intermediary <br/></td></tr>
<tr class="separator:ae00976d778a6a02ff5f17b2ca7aad99c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac212f4d019dbb8650ce18a8b3e307399"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac212f4d019dbb8650ce18a8b3e307399"></a>
dma_handle_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ac212f4d019dbb8650ce18a8b3e307399">dmaIntermediaryToTxRegHandle</a></td></tr>
<tr class="memdesc:ac212f4d019dbb8650ce18a8b3e307399"><td class="mdescLeft">&#160;</td><td class="mdescRight">dma_handle_t handle point used for Intermediary to TxReg <br/></td></tr>
<tr class="separator:ac212f4d019dbb8650ce18a8b3e307399"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="aa42e45029e3f6c2ae9d630f708bd95b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_master_dma_handle_t::bitsPerFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a99362405995258e9c62b1fbe12ae289b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t dspi_master_dma_handle_t::command</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8432d0950c952added32554a881b387c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint32_t dspi_master_dma_handle_t::lastCommand</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a00ad4c9aa940f1c03367c2532357d0cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t dspi_master_dma_handle_t::fifoSize</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8337d4647ffaf6ce288819538facf33c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile bool dspi_master_dma_handle_t::isPcsActiveAfterTransfer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a26cd470baf046f953e7726b7618f4f90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile bool dspi_master_dma_handle_t::isThereExtraByte</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a125053695f06022166330add4b8dcbac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_master_dma_handle_t::txData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a33cc537dc0837968f40fba159db99f59"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_master_dma_handle_t::rxData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af369e487c2fa339dad2395dcb13ad24e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_master_dma_handle_t::remainingSendByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a12996c582612fa3aa5b12e6fca89d732"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_master_dma_handle_t::remainingReceiveByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="adc1fd8563c184843154f2cd844c63a8c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_master_dma_handle_t::rxBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5bdcd5cb8b1c0cdbe5e0208f5d0d796a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_master_dma_handle_t::txBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a6882a67d6e566f9288b186607c0a30d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint8_t dspi_master_dma_handle_t::state</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aafe559d911f22a02dd981334212753b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__dspi__dma__driver.html#ga3b540ad1f437a0bfa63cc37d574bda97">dspi_master_dma_transfer_callback_t</a> dspi_master_dma_handle_t::callback</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="acba550ea61ae714ca4f60fb7e995c6f1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* dspi_master_dma_handle_t::userData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<a name="struct__dspi__slave__dma__handle" id="struct__dspi__slave__dma__handle"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct _dspi_slave_dma_handle</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>Forward declaration of the DSPI DMA slave handle typedefs.</p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a3a1fc05ba2c9a1cf9e4bc3857cd62ca3"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a3a1fc05ba2c9a1cf9e4bc3857cd62ca3">bitsPerFrame</a></td></tr>
<tr class="memdesc:a3a1fc05ba2c9a1cf9e4bc3857cd62ca3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Desired number of bits per frame.  <a href="#a3a1fc05ba2c9a1cf9e4bc3857cd62ca3">More...</a><br/></td></tr>
<tr class="separator:a3a1fc05ba2c9a1cf9e4bc3857cd62ca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab93a1f5782f04b6ee9c6c92a65f8dbca"><td class="memItemLeft" align="right" valign="top">volatile bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#ab93a1f5782f04b6ee9c6c92a65f8dbca">isThereExtraByte</a></td></tr>
<tr class="memdesc:ab93a1f5782f04b6ee9c6c92a65f8dbca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether there is an extra byte.  <a href="#ab93a1f5782f04b6ee9c6c92a65f8dbca">More...</a><br/></td></tr>
<tr class="separator:ab93a1f5782f04b6ee9c6c92a65f8dbca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e0d0e55e2e60941a72e2fb3512be952"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a4e0d0e55e2e60941a72e2fb3512be952">txData</a></td></tr>
<tr class="memdesc:a4e0d0e55e2e60941a72e2fb3512be952"><td class="mdescLeft">&#160;</td><td class="mdescRight">A send buffer.  <a href="#a4e0d0e55e2e60941a72e2fb3512be952">More...</a><br/></td></tr>
<tr class="separator:a4e0d0e55e2e60941a72e2fb3512be952"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eca6c02bbffd5cde2e419a7b0bf4ae5"><td class="memItemLeft" align="right" valign="top">uint8_t *volatile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a8eca6c02bbffd5cde2e419a7b0bf4ae5">rxData</a></td></tr>
<tr class="memdesc:a8eca6c02bbffd5cde2e419a7b0bf4ae5"><td class="mdescLeft">&#160;</td><td class="mdescRight">A receive buffer.  <a href="#a8eca6c02bbffd5cde2e419a7b0bf4ae5">More...</a><br/></td></tr>
<tr class="separator:a8eca6c02bbffd5cde2e419a7b0bf4ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83a97b9364ef3ff53194b0b0bb05349c"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a83a97b9364ef3ff53194b0b0bb05349c">remainingSendByteCount</a></td></tr>
<tr class="memdesc:a83a97b9364ef3ff53194b0b0bb05349c"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to send.  <a href="#a83a97b9364ef3ff53194b0b0bb05349c">More...</a><br/></td></tr>
<tr class="separator:a83a97b9364ef3ff53194b0b0bb05349c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a709f7c8f05f239a8951c657f815d6f56"><td class="memItemLeft" align="right" valign="top">volatile size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a709f7c8f05f239a8951c657f815d6f56">remainingReceiveByteCount</a></td></tr>
<tr class="memdesc:a709f7c8f05f239a8951c657f815d6f56"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of bytes remaining to receive.  <a href="#a709f7c8f05f239a8951c657f815d6f56">More...</a><br/></td></tr>
<tr class="separator:a709f7c8f05f239a8951c657f815d6f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cc6aca5be452888969e16d7a088dcdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cc6aca5be452888969e16d7a088dcdb"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a2cc6aca5be452888969e16d7a088dcdb">totalByteCount</a></td></tr>
<tr class="memdesc:a2cc6aca5be452888969e16d7a088dcdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">A number of transfer bytes. <br/></td></tr>
<tr class="separator:a2cc6aca5be452888969e16d7a088dcdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec8c16e22f9e33647647fb7277e0e3d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a5ec8c16e22f9e33647647fb7277e0e3d">rxBuffIfNull</a></td></tr>
<tr class="memdesc:a5ec8c16e22f9e33647647fb7277e0e3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not rxData for DMA purpose.  <a href="#a5ec8c16e22f9e33647647fb7277e0e3d">More...</a><br/></td></tr>
<tr class="separator:a5ec8c16e22f9e33647647fb7277e0e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44550ad68011ff757eeab94f2beeeb68"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a44550ad68011ff757eeab94f2beeeb68">txBuffIfNull</a></td></tr>
<tr class="memdesc:a44550ad68011ff757eeab94f2beeeb68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is not txData for DMA purpose.  <a href="#a44550ad68011ff757eeab94f2beeeb68">More...</a><br/></td></tr>
<tr class="separator:a44550ad68011ff757eeab94f2beeeb68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97da574cc3614bfb7d961c0e93bee86d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a97da574cc3614bfb7d961c0e93bee86d">txLastData</a></td></tr>
<tr class="memdesc:a97da574cc3614bfb7d961c0e93bee86d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used if there is an extra byte when 16 bits per frame for DMA purpose.  <a href="#a97da574cc3614bfb7d961c0e93bee86d">More...</a><br/></td></tr>
<tr class="separator:a97da574cc3614bfb7d961c0e93bee86d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0660bc4f9b1851afee0938cbaae28ea4"><td class="memItemLeft" align="right" valign="top">volatile uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a0660bc4f9b1851afee0938cbaae28ea4">state</a></td></tr>
<tr class="memdesc:a0660bc4f9b1851afee0938cbaae28ea4"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSPI transfer state.  <a href="#a0660bc4f9b1851afee0938cbaae28ea4">More...</a><br/></td></tr>
<tr class="separator:a0660bc4f9b1851afee0938cbaae28ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ef71306fb623fbb39e76bc2bb299853"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a8ef71306fb623fbb39e76bc2bb299853">errorCount</a></td></tr>
<tr class="memdesc:a8ef71306fb623fbb39e76bc2bb299853"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error count for the slave transfer.  <a href="#a8ef71306fb623fbb39e76bc2bb299853">More...</a><br/></td></tr>
<tr class="separator:a8ef71306fb623fbb39e76bc2bb299853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada7879b6133d3f5d2fe9725a65f8ca9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__dspi__dma__driver.html#ga8db8b14faf884f8c789ee7b04153630c">dspi_slave_dma_transfer_callback_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#aada7879b6133d3f5d2fe9725a65f8ca9">callback</a></td></tr>
<tr class="memdesc:aada7879b6133d3f5d2fe9725a65f8ca9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Completion callback.  <a href="#aada7879b6133d3f5d2fe9725a65f8ca9">More...</a><br/></td></tr>
<tr class="separator:aada7879b6133d3f5d2fe9725a65f8ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8dc4c83c37f19a4e28a1ca9cccfba9"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#aca8dc4c83c37f19a4e28a1ca9cccfba9">userData</a></td></tr>
<tr class="memdesc:aca8dc4c83c37f19a4e28a1ca9cccfba9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback user data.  <a href="#aca8dc4c83c37f19a4e28a1ca9cccfba9">More...</a><br/></td></tr>
<tr class="separator:aca8dc4c83c37f19a4e28a1ca9cccfba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e07cc2a931cc632013b05b93e67c9c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e07cc2a931cc632013b05b93e67c9c1"></a>
dma_handle_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a9e07cc2a931cc632013b05b93e67c9c1">dmaRxRegToRxDataHandle</a></td></tr>
<tr class="memdesc:a9e07cc2a931cc632013b05b93e67c9c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">dma_handle_t handle point used for RxReg to RxData buff <br/></td></tr>
<tr class="separator:a9e07cc2a931cc632013b05b93e67c9c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a564ba36dcc41f2d7f730e1b36ef8b794"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a564ba36dcc41f2d7f730e1b36ef8b794"></a>
dma_handle_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__dspi__dma__driver.html#a564ba36dcc41f2d7f730e1b36ef8b794">dmaTxDataToTxRegHandle</a></td></tr>
<tr class="memdesc:a564ba36dcc41f2d7f730e1b36ef8b794"><td class="mdescLeft">&#160;</td><td class="mdescRight">dma_handle_t handle point used for TxData to TxReg <br/></td></tr>
<tr class="separator:a564ba36dcc41f2d7f730e1b36ef8b794"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="a3a1fc05ba2c9a1cf9e4bc3857cd62ca3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_dma_handle_t::bitsPerFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab93a1f5782f04b6ee9c6c92a65f8dbca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile bool dspi_slave_dma_handle_t::isThereExtraByte</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a4e0d0e55e2e60941a72e2fb3512be952"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_slave_dma_handle_t::txData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8eca6c02bbffd5cde2e419a7b0bf4ae5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* volatile dspi_slave_dma_handle_t::rxData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a83a97b9364ef3ff53194b0b0bb05349c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_slave_dma_handle_t::remainingSendByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a709f7c8f05f239a8951c657f815d6f56"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile size_t dspi_slave_dma_handle_t::remainingReceiveByteCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5ec8c16e22f9e33647647fb7277e0e3d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_dma_handle_t::rxBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a44550ad68011ff757eeab94f2beeeb68"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_dma_handle_t::txBuffIfNull</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a97da574cc3614bfb7d961c0e93bee86d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_dma_handle_t::txLastData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a0660bc4f9b1851afee0938cbaae28ea4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile uint8_t dspi_slave_dma_handle_t::state</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8ef71306fb623fbb39e76bc2bb299853"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t dspi_slave_dma_handle_t::errorCount</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aada7879b6133d3f5d2fe9725a65f8ca9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__dspi__dma__driver.html#ga8db8b14faf884f8c789ee7b04153630c">dspi_slave_dma_transfer_callback_t</a> dspi_slave_dma_handle_t::callback</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aca8dc4c83c37f19a4e28a1ca9cccfba9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* dspi_slave_dma_handle_t::userData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ga3b540ad1f437a0bfa63cc37d574bda97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* dspi_master_dma_transfer_callback_t)(SPI_Type *base, dspi_master_dma_handle_t *handle, status_t status, void *userData)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>Pointer to the handle for the DSPI master. </td></tr>
    <tr><td class="paramname">status</td><td>Success or error code describing whether the transfer completed. </td></tr>
    <tr><td class="paramname">userData</td><td>Arbitrary pointer-dataSized value passed from the application. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8db8b14faf884f8c789ee7b04153630c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* dspi_slave_dma_transfer_callback_t)(SPI_Type *base, dspi_slave_dma_handle_t *handle, status_t status, void *userData)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>Pointer to the handle for the DSPI slave. </td></tr>
    <tr><td class="paramname">status</td><td>Success or error code describing whether the transfer completed. </td></tr>
    <tr><td class="paramname">userData</td><td>Arbitrary pointer-dataSized value passed from the application. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga3187e7ce20f68755e17f92e28d614ba1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_MasterTransferCreateHandleDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__dma__driver.html#ga3b540ad1f437a0bfa63cc37d574bda97">dspi_master_dma_transfer_callback_t</a>&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>userData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dma_handle_t *&#160;</td>
          <td class="paramname"><em>dmaRxRegToRxDataHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dma_handle_t *&#160;</td>
          <td class="paramname"><em>dmaTxDataToIntermediaryHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dma_handle_t *&#160;</td>
          <td class="paramname"><em>dmaIntermediaryToTxRegHandle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the DSPI DMA handle which can be used for other DSPI transactional APIs. Usually, for a specified DSPI instance, call this API once to get the initialized handle.</p>
<p>Note that DSPI DMA has a separated (Rx and Tx as two sources) or shared (Rx and Tx is the same source) DMA request source. (1) For a separated DMA request source, enable and set the Rx DMAMUX source for dmaRxRegToRxDataHandle and Tx DMAMUX source for dmaIntermediaryToTxRegHandle. (2) For a shared DMA request source, enable and set the Rx/Rx DMAMUX source for dmaRxRegToRxDataHandle.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>DSPI handle pointer to dspi_master_dma_handle_t. </td></tr>
    <tr><td class="paramname">callback</td><td>DSPI callback. </td></tr>
    <tr><td class="paramname">userData</td><td>A callback function parameter. </td></tr>
    <tr><td class="paramname">dmaRxRegToRxDataHandle</td><td>dmaRxRegToRxDataHandle pointer to dma_handle_t. </td></tr>
    <tr><td class="paramname">dmaTxDataToIntermediaryHandle</td><td>dmaTxDataToIntermediaryHandle pointer to dma_handle_t. </td></tr>
    <tr><td class="paramname">dmaIntermediaryToTxRegHandle</td><td>dmaIntermediaryToTxRegHandle pointer to dma_handle_t. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5055018e5cedf1803c294de8780b4306"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_MasterTransferDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *&#160;</td>
          <td class="paramname"><em>transfer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function transfers data using DMA. This is a non-blocking function, which returns right away. When all data is transferred, the callback function is called.</p>
<p>Note that the master DMA transfer does not support the transfer_size of 1 when the bitsPerFrame is greater than 8.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_master_dma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">transfer</td><td>A pointer to the <a class="el" href="group__dspi__driver.html#structdspi__transfer__t" title="DSPI master/slave transfer structure. ">dspi_transfer_t</a> structure. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
<a class="anchor" id="gad1446115acb6912b36782385e7d9057b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_MasterTransferAbortDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function aborts a transfer which is using DMA.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_master_dma_handle_t structure which stores the transfer state. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga6a15c16862a20309ec3abfd980df7de3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_MasterTransferGetCountDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_master_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function gets the master DMA transfer remaining bytes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_master_dma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">count</td><td>A number of bytes transferred by the non-blocking transaction. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
<a class="anchor" id="ga722124db11ba03f608f025c66e7da024"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_SlaveTransferCreateHandleDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__dma__driver.html#ga8db8b14faf884f8c789ee7b04153630c">dspi_slave_dma_transfer_callback_t</a>&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>userData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dma_handle_t *&#160;</td>
          <td class="paramname"><em>dmaRxRegToRxDataHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dma_handle_t *&#160;</td>
          <td class="paramname"><em>dmaTxDataToTxRegHandle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the DSPI DMA handle which can be used for other DSPI transactional APIs. Usually, for a specified DSPI instance, call this API once to get the initialized handle.</p>
<p>Note that DSPI DMA has a separated (Rx and Tx as two sources) or shared (Rx and Tx is the same source) DMA request source. (1) For a separated DMA request source, enable and set the Rx DMAMUX source for dmaRxRegToRxDataHandle and Tx DMAMUX source for dmaTxDataToTxRegHandle. (2) For a shared DMA request source, enable and set the Rx/Rx DMAMUX source for dmaRxRegToRxDataHandle.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>DSPI handle pointer to dspi_slave_dma_handle_t. </td></tr>
    <tr><td class="paramname">callback</td><td>DSPI callback. </td></tr>
    <tr><td class="paramname">userData</td><td>A callback function parameter. </td></tr>
    <tr><td class="paramname">dmaRxRegToRxDataHandle</td><td>dmaRxRegToRxDataHandle pointer to dma_handle_t. </td></tr>
    <tr><td class="paramname">dmaTxDataToTxRegHandle</td><td>dmaTxDataToTxRegHandle pointer to dma_handle_t. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga151538ae157287d0d87fde215c1c069c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_SlaveTransferDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__dspi__driver.html#structdspi__transfer__t">dspi_transfer_t</a> *&#160;</td>
          <td class="paramname"><em>transfer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function transfers data using DMA. This is a non-blocking function, which returns right away. When all data is transferred, the callback function is called.</p>
<p>Note that the slave DMA transfer does not support the transfer_size of 1 when the bitsPerFrame is greater than eight.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_slave_dma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">transfer</td><td>A pointer to the <a class="el" href="group__dspi__driver.html#structdspi__transfer__t" title="DSPI master/slave transfer structure. ">dspi_transfer_t</a> structure. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
<a class="anchor" id="ga74e93531592f813193de476da8f38ee7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DSPI_SlaveTransferAbortDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function aborts a transfer which is using DMA.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_slave_dma_handle_t structure which stores the transfer state. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga89314762a1346caa314f651b239e321d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t DSPI_SlaveTransferGetCountDMA </td>
          <td>(</td>
          <td class="paramtype">SPI_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dspi_slave_dma_handle_t *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function gets the slave DMA transfer remaining bytes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>DSPI peripheral base address. </td></tr>
    <tr><td class="paramname">handle</td><td>A pointer to the dspi_slave_dma_handle_t structure which stores the transfer state. </td></tr>
    <tr><td class="paramname">count</td><td>A number of bytes transferred by the non-blocking transaction. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>status of status_t. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
